Connector Status
Operations of the Connector Gateway API. Paths are relative to your deployment's API host.
GET /api/connector-gateway-api/projects/{projectId}/integrations/status
Get integration status for a project
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
projectId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json ConnectorStatusResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/connector-gateway-api/projects/{projectId}/integrations/{connectionBindingId}/test
Test connection for an integration binding
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
connectionBindingId | path | string | yes | |
projectId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json TestConnectionResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |